---
title: CaretPosition
slug: Web/API/CaretPosition
tags:
  - API
  - CSSOM View
  - Experimental
  - Interface
  - Reference
---
<p>{{SeeCompatTable}} {{ APIRef("CSSOM") }}</p>

<p>The <code>CaretPosition</code> interface represents the caret position, an indicator for the text insertion point. You can get a <code>CaretPosition</code> using the {{domxref("document.caretPositionFromPoint")}} method.</p>

<h2 id="Properties">Properties</h2>

<p><em>This interface doesn't inherit any properties.</em></p>

<dl>
 <dt>{{domxref("CaretPosition.offsetNode")}} {{readonlyInline}}</dt>
 <dd>Returns a {{domxref("Node")}} containing the found node at the caret's position.</dd>
 <dt>{{domxref("CaretPosition.offset")}} {{readonlyInline}}</dt>
 <dd>Returns a <code>long</code> representing the character offset in the caret position node.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<dl>
 <dt>{{domxref("CaretPosition.getClientRect")}}</dt>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('CSSOM View', '#caret-position', 'CaretPosition') }}</td>
   <td>{{ Spec2('CSSOM View') }}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">
<p>The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>
</div>

<p>{{Compat("api.CaretPosition")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Document.caretPositionFromPoint()")}}</li>
 <li>{{domxref("Range")}}</li>
 <li>{{domxref("Node")}}</li>
</ul>
